### Update The Package Manager
We need to update the server before installing Docker
```jsx title="Ubuntu Server"
sudo apt update
sudo apt upgrade
```
```jsx title="Rocky Linux"
sudo dnf check-update
```


### Deploy Docker
Install Docker then deploy Portainer
```jsx title="Ubuntu Server"
sudo apt install docker.io
docker run -d -p 8000:8000 -p 9443:9443 --name portainer --restart=always -v /var/run/docker.sock:/var/run/docker.sock -v /srv/containers/portainer:/data portainer/portainer-ee:latest
```
```jsx title="Rocky Linux"
sudo dnf config-manager --add-repo https://download.docker.com/linux/centos/docker-ce.repo
sudo dnf install docker-ce docker-ce-cli containerd.io
sudo systemctl start docker
sudo systemctl enable docker
docker run -d -p 8000:8000 -p 9443:9443 --name portainer --restart=always -v /var/run/docker.sock:/var/run/docker.sock -v /srv/containers/portainer:/data portainer/portainer-ee:latest
```


### Configure Docker Network
I highly recomment setting up a [Dedicated Docker MACVLAN Network](https://docs.bunny-lab.io/Containers/Docker/Docker%20Networking/).  You can use it to keep your containers on their own subnet.